/* 
   Program to translate lex format to gap format.
*/

/* version 0.1 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int
main(argc,argv)
     int argc;
     char *argv[];

{
  char inputline[100];
  char outputchunk[50];
  int isurface;
  int ichar;
  int outputlen;

  isurface = 0;
  
  while (fgets(inputline,100,stdin) != NULL)
    {
      isurface++;
      ichar = 0;
      fprintf(stdout,"\n");
      sprintf(outputchunk,"manifold_X_X_%d=[ [ %d, %d, %d ], ",
	      isurface,inputline[ichar]-'a'+1,inputline[ichar+1]-'a'+1,
	      inputline[ichar+2]-'a'+1);
      fprintf(stdout,"%s",outputchunk);
      outputlen = strlen(outputchunk);
      ichar += 3;
      while (inputline[ichar] != 0 && inputline[ichar] != '\n') {
	if (inputline[ichar+3] != 0 && inputline[ichar+3] != '\n')
	  sprintf(outputchunk,"[ %d, %d, %d ], ",
		  inputline[ichar]-'a'+1,inputline[ichar+1]-'a'+1,
		  inputline[ichar+2]-'a'+1);
	else
	  sprintf(outputchunk,"[ %d, %d, %d ] ];",
		  inputline[ichar]-'a'+1,inputline[ichar+1]-'a'+1,
		  inputline[ichar+2]-'a'+1);
	ichar += 3;
	if (outputlen + strlen(outputchunk) > 72) {
	  fprintf(stdout,"\n  ");
	  outputlen = 1;
	}
	fprintf(stdout,"%s",outputchunk);
	outputlen += strlen(outputchunk);
      }
      fprintf(stdout,"\n");
    }
  exit(0);
}
